//=============================================================================
// AshtraySmall.
//=============================================================================
class AshtraySmall extends DeusExDecoration
	abstract;

enum ESkinColor
{
	SC_Light,
	SC_Dark
};

var() ESkinColor SkinColor;

function BeginPlay()
{
	Super.BeginPlay();

	switch (SkinColor)
	{
		case SC_Light:	Skin = Texture'Ashtray2Tex1'; break;
		case SC_Dark:	Skin = Texture'Ashtray2Tex2'; break;
	}
}

defaultproperties
{
     HitPoints=10
     bInvincible=True
     bPushable=False
     ItemName="Ashtray"
     Mass=5.000000
     Buoyancy=10.000000
}